#!/bin/bash

PACKAGE_NAME=intigua-connector-runtime
FLAG_PATH=/usr/local/intigua/installer/.pre_remove_activated

function is_installed_with_yum() {
    yum list installed "$PACKAGE_NAME" >> /dev/null 2>&1
}

function remove_yum() {
    yum remove -y -q "$PACKAGE_NAME"
}

function is_installed_with_rpm() {
    rpm -q "$PACKAGE_NAME" >> /dev/null 2>&1
}

function remove_rpm() {
    rpm -e "$PACKAGE_NAME"
}

function issue_warning() {
    echo "Package $PACKAGE_NAME not installed with Yum or RPM, not pre-removing" >&2
    return 0
}

function main() {
    is_installed_with_yum
    if [ "$?" == 0 ]; then
        remove_yum
        return $?
    fi

    is_installed_with_rpm
    if [ "$?" == 0 ]; then
        remove_rpm
        return $?
    fi

    issue_warning
}

touch -f "$FLAG_PATH"
main
ret=$?
rm -f "$FLAG_PATH"
exit $ret
